# Function cif::is_item_type_uchar

- Defined in File condition.hpp

## Function Documentation

bool cif::is_item_type_uchar(const category &cat, std::string_view col)

  Return whether the item col in category cat has a primitive type of uchar.

  Parameters:

    - cat – The category

    - col – The item name

  Returns:

    true If the primitive type is of type uchar

  Returns:

    false If the primitive type is not of type uchar